当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 折腾了一晚上,终于升到Dapper
帖子发表于 : 2006-06-03 1:58 

注册: 2005-04-13 21:04
帖子: 56
送出感谢: 0 次
接收感谢: 0 次
我用Breezy直接升级Dapper,默认的源没改,是cn.archives.ubuntu.com,更新程序总是在下载最后一点文件的时候,提示403禁止访问的错误,不得已才用apt-get方法升级。

先把关键字Breezy全改成Dapper,apt-get update就出错,尽是些403和404错误,后来改成cn99的源,不仅不出错,还快呢。

代码:
   deb http://ubuntu.cn99.com/ubuntu/ dapper main restricted universe multiverse   
   deb http://ubuntu.cn99.com/ubuntu/ dapper-updates main restricted universe multiverse
   deb http://ubuntu.cn99.com/ubuntu/ dapper-security main restricted universe multiverse
   deb http://ubuntu.cn99.com/ubuntu/ dapper-backports main restricted universe multiverse
   deb http://ubuntu.cn99.com/ubuntu-cn/ dapper main restricted universe multiverse

然后,apt-get dist-upgrade,其间下载包都是成功的,只是安装过程不太顺利,装到一半,大概还剩180多个包没装的时候,提示reboot,按提示我reboot之后,竟然没法启动x了,没办法,在终端里接着apt-get dist-upgrade,竟然重新全部下载了,刚才的工作算白做了。

好景不长,这次也是下载完安装过程出错,是一个声音的软件包,提示冲突,TMD!冲什么,烦死了,必须要安装完才能继续下去,一气之下我用dpkg --force-all安装了。这样就接着安装别的包了,完成以后startx,好像不对头,似乎只装了一半的样子,很多软件都没装,字体也不对。这时候更新软件又提示有新包升级,按提示又来了一次apt-get dist-upgrade,reboot之后好了,全都好了。不过……

声卡不能用,设备是能识别的,音量也能调节,就是不发声……

一琢磨,要不用系统更新时下载的2.6.15-23的kernel启动一下(我用的是自己编译的2.6.16-19的kernel)……果然,能发声了,一切正常……接着一桩诡异的事件发生了……

我又改回原来的2.6.16-19的kernel启动,竟然声卡也能发声了……

不太确定的结论:很多朋友在升级Dapper后,出现声卡不发声的情况,不如用这种方法试一下──用默认的i386的kernel启动一下,如果声卡正常工作,就换回原来的kernel。而我,作为一个菜鸟,基本无法解释这个原因,只是稀里糊涂解决了。


_________________
Get busy living, or get busy dying.


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-06-03 2:09 
头像

注册: 2006-03-24 18:27
帖子: 96
送出感谢: 0 次
接收感谢: 0 次
GXGX,BGBG。

dapper还是值得捣鼓一番的


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-06-03 22:22 
头像

注册: 2005-12-26 1:31
帖子: 59
送出感谢: 0 次
接收感谢: 0 次
好象是这样的,如果升了新的内核以后没有升级d-bus之类的东西回有问题,所以要用以前的内核进去再升d-bus,升完以后老的内核就不能用了,这时候用新的内核进去就没有问题,的确有点搞


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-06-04 0:10 

注册: 2006-05-31 1:52
帖子: 83
送出感谢: 0 次
接收感谢: 0 次
楼主有道理


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译